### Home Classes Methods

### In Files

- ext/ffi_c/ffi.c

### Parent

FFI::Pointer

### Methods

- #initialize_copy
- #inspect

### Files

- Makefile
- ChangeLog
- LICENSE
- README
- compile
- configure
- depcomp
- stamp-vti
- install-sh
- libtool-version
- mdate-sh
- missing

### Class/Module Index

Quicksearch

- FFI
- FFI::AbstractMemory
- FFI::ArrayType
- FFI::AutoPointer
- FFI::AutoPointer::CallableReleaser
- FFI::AutoPointer::DefaultReleaser
- FFI::AutoPointer::Releaser
- FFI::Buffer
- FFI::ConstGenerator
- FFI::ConstGenerator::Constant
- FFI::DataConverter
- FFI::DynamicLibrary
- FFI::DynamicLibrary::Symbol
- FFI::Enum
- FFI::Enums
- FFI::Function
- FFI::FunctionType
- FFI::Generator
- FFI::Generator::Task
- FFI::IO
- FFI::Library
- FFI::ManagedStruct
- FFI::MemoryPointer
- FFI::NotFoundError
- FFI::NullPointerError
- FFI::Platform
- FFI::PlatformError
- FFI::Pointer
- FFI::StrPtrConverter
- FFI::Struct
- FFI::Struct::InlineArray
- FFI::Struct::ManagedStructConverter
- FFI::StructByReference
- FFI::StructByValue
- FFI::StructGenerator
- FFI::StructGenerator::Field
- FFI::StructLayout
- FFI::StructLayout::Array
- FFI::StructLayout::Enum
- FFI::StructLayout::Field
- FFI::StructLayout::Function
- FFI::StructLayout::InnerStruct
- FFI::StructLayout::Mapped
- FFI::StructLayout::Number
- FFI::StructLayout::Pointer
- FFI::StructLayout::String
- FFI::StructLayoutBuilder
- FFI::TypesGenerator
- FFI::Union
- FFI::VariadicInvoker

No matching classes.

# FFI::DynamicLibrary::Symbol

An instance of this class represents a library symbol. It may be a {Pointer pointer} to a function or to a variable.

### Public Instance Methods

initialize_copy(other) click to toggle source
@param [Object] other
@return [nil]
DO NOT CALL THIS METHOD

    static VALUE
    symbol_initialize_copy(VALUE self, VALUE other)
    {
        rb_raise(rb_eRuntimeError, "cannot duplicate symbol");
        return Qnil;
    }

inspect click to toggle source
@return [String]

    static VALUE
    symbol_inspect(VALUE self)
    {
        LibrarySymbol* sym;
        char buf[256];

        Data_Get_Struct(self, LibrarySymbol, sym);
        snprintf(buf, sizeof(buf), "#<FFI::Library::Symbol name=%s address=%p>",
                 StringValueCStr(sym->name), sym->base.memory.address);
        return rb_str_new2(buf);
    }

[Validate]

Generated with the Darkfish Rdoc Generator 2.